Enable or disable auto renewal
PUT
https://api.lws.net/v1/
operationIdputHostingAutorenew
Enable or disable auto renewal for a hosting. This will affect both the hosting and domain (if applicable).
Path parameters
-
hostingstring required -
The domain name whose auto renewal settings you want to change
Request body
application/json
-
enablebooleanoptionalWhether to enable (true) or disable (false) auto renewal
Example request
{
"enable": true
}
Responses
200
Auto renewal settings changed successfully
{
"code": 200,
"info": "Your hosting's auto-renewal settings has been changed",
"data": true
}
Response fields 3
-
codeinteger -
infostring -
databooleanNew auto-renewal status. true = enabled, false = disabled
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2
-
codeinteger -
infostring
400
Invalid input
{
"code": 400,
"info": "No auto-renewal status provided. Example: true",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataany[]
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "Error message"
}
Response fields 3
-
codeinteger -
infostring -
datastring
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataobject